This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 864346 - [Backend] If VM import fails, allocated MAC is not freed
[Backend] If VM import fails, allocated MAC is not freed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: 3.2.0
Assigned To: lpeer
Martin Pavlik
network
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 04:20 EDT by Jakub Libosvar
Modified: 2016-02-10 14:51 EST (History)
13 users (show)

See Also:
Fixed In Version: sf1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 884248 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
backend log (290.25 KB, text/x-log)
2012-10-09 04:20 EDT, Jakub Libosvar
no flags Details

  None (edit)
Description Jakub Libosvar 2012-10-09 04:20:41 EDT
Created attachment 623961 [details]
backend log

Description of problem:
MAC for imported VM is allocated when import is about to start. If import fails, MAC is not freed.

Version-Release number of selected component (if applicable):
rhevm-backend-3.1.0-20.el6ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. Start import VM and fail it
  
Actual results:
MAC is allocated but not freed

Expected results:
MAC is allocated and freed on unsuccessful import 

Additional info:
Backend log attached, watch MAC 00:1a:4a:32:3f:00
Not sure if regression, I'd say not
Comment 7 Muli Salem 2012-11-18 08:01:48 EST
Proposed fix in:

http://gerrit.ovirt.org/#/c/9302/
Comment 10 Martin Pavlik 2013-01-02 10:30:29 EST
works in sf2.1

2013-01-02 16:28:21,497 INFO  [org.ovirt.engine.core.bll.MacPoolManager] (pool-3-thread-50) MacPoolManager::freeMac(mac = 00:1a:4a:e0:3f:05) - entered
Comment 12 Itamar Heim 2013-06-11 04:40:26 EDT
3.2 has been released
Comment 13 Itamar Heim 2013-06-11 04:40:26 EDT
3.2 has been released
Comment 14 Itamar Heim 2013-06-11 04:40:42 EDT
3.2 has been released
Comment 15 Itamar Heim 2013-06-11 04:48:04 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.